<div align="center">

# **Omron SN2 (𝜏, β)**

[![Discord Chat](https://img.shields.io/discord/308323056592486420.svg?logo=discord)](https://discord.gg/bittensor)

### Proof of Inference

[Documentation](https://docs.omron.ai/) • [X](https://twitter.com/omron_ai) • [Inference Labs](https://twitter.com/inference_labs) • [Explorer](https://taostats.io/) • [Dashboard](https://wandb.ai/inferencelabs/omron)

</div>

Omron represents a significant stride in enhancing the Bittensor network, aiming to create the world's largest peer-to-peer **Verified** Intelligence network, by building a Proof-of-Inference system for the Bittensor network. This initiative aligns with the Opentensor foundation's criteria for innovative subnet solutions. zk-ML allows AI models to be converted into a unique 'fingerprint,' a circuit that can be used to verify that a model's prediction was generated by a specific AI model, thereby providing what we term as Proof-of-Inference.

## Proof of Weights SDK

The proof of weights SDK allows validators from various subnets to publish their reward function inputs to validators within the omron subnet.

## Usage

The proof of weights SDK is available on PyPI as `proof-of-weights` (https://pypi.org/project/proof-of-weights/).

```python
import proof_of_weights
proofs = proof_of_weights.Proof_Of_Weights(wallet_name: str, wallet_hotkey: str, omron_validator_ss58: str, netuid: int, network: str = "finney")
proofs.submit_inputs(reward_function_inputs: list)
proofs.get_proof()
```
